質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Keras

Kerasは、TheanoやTensorFlow/CNTK対応のラッパーライブラリです。DeepLearningの数学的部分を短いコードでネットワークとして表現することが可能。DeepLearningの最新手法を迅速に試すことができます。

Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

MacOS(OSX)

MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

解決済

Macでkeras,tensorflowのimportがエラー

solo1987
solo1987

総合スコア14

Keras

Kerasは、TheanoやTensorFlow/CNTK対応のラッパーライブラリです。DeepLearningの数学的部分を短いコードでネットワークとして表現することが可能。DeepLearningの最新手法を迅速に試すことができます。

Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

MacOS(OSX)

MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。

1回答

0評価

0クリップ

616閲覧

投稿2019/01/13 03:17

編集2019/01/13 03:43

pythonの環境構築を行い、サンプルコードの実行をしたところ、keras,tensorflowのimportでエラーとなっています。
Anacondaのインストールのみ実施済みです。
numpy,pandasに加えてtensorflow,kerasのimportのためには別途インストールや設定が必要なのでしょうか。。。
また、ターミナルでpip install tensorflowを実行してもエラーになります。

![イメージ説明]
イメージ説明
イメージ説明

発生している問題・エラーメッセージ

Unable to import 'keras' Unable to import 'tensorflow' Unable to import 'keras.models' Unable to import 'keras.layers'

該当のソースコード

python

import keras import tensorflow as tf

試したこと

ターミナルで以下実行済みです。
(base) xxxx$ pip install tensorflow
Collecting tensorflow
Could not find a version that satisfies the requirement tensorflow (from versions: )
No matching distribution found for tensorflow

(base) xxxx$ pip install keras
Requirement already satisfied: keras in /Applications/anaconda3/lib/python3.7/site-packages (2.2.4)Requirement already satisfied: numpy>=1.9.1 in /Applications/anaconda3/lib/python3.7/site-packages (from keras) (1.15.4)
Requirement already satisfied: pyyaml in /Applications/anaconda3/lib/python3.7/site-packages (from keras) (3.13)
Requirement already satisfied: keras-applications>=1.0.6 in /Applications/anaconda3/lib/python3.7/site-packages (from keras) (1.0.6)
Requirement already satisfied: six>=1.9.0 in /Applications/anaconda3/lib/python3.7/site-packages (from keras) (1.12.0)
Requirement already satisfied: scipy>=0.14 in /Applications/anaconda3/lib/python3.7/site-packages (from keras) (1.1.0)
Requirement already satisfied: keras-preprocessing>=1.0.5 in /Applications/anaconda3/lib/python3.7/site-packages (from keras) (1.0.5)
Requirement already satisfied: h5py in /Applications/anaconda3/lib/python3.7/site-packages (from keras) (2.8.0)

補足情報(FW/ツールのバージョンなど)

ここにより詳細な情報を記載してください。

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

solo1987

2019/01/14 03:48

ありがとうございます。 python3.6にダウングレードしてみます。 また、virtualenvがなかったです。。手順に沿って実施してみます。
solo1987

2019/01/14 04:05

python3.6.6のインストールでエラーになってしまったので別途質問起票いたします。。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Keras

Kerasは、TheanoやTensorFlow/CNTK対応のラッパーライブラリです。DeepLearningの数学的部分を短いコードでネットワークとして表現することが可能。DeepLearningの最新手法を迅速に試すことができます。

Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

MacOS(OSX)

MacOSとは、Appleの開発していたGUI(グラフィカルユーザーインターフェース)を採用したオペレーションシステム(OS)です。Macintoshと共に、市場に出てGUIの普及に大きく貢献しました。